<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* saved-report-page.twig */
class __TwigTemplate_0efa5c01fa010c02416813e5dac674f596e83bd2054c4c472a33624aab013ebd extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'actionMenu' => [$this, 'block_actionMenu'],
            'pageContent' => [$this, 'block_pageContent'],
            'javaScript' => [$this, 'block_javaScript'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 24
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 25
        $context["inline"] = $this->loadTemplate("inline.twig", "saved-report-page.twig", 25)->unwrap();
        // line 24
        $this->parent = $this->loadTemplate("authed.twig", "saved-report-page.twig", 24);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 27
    public function block_actionMenu($context, array $blocks = [])
    {
        // line 28
        echo "    <ul class=\"nav nav-pills pull-right\">
        <li class=\"btn btn-success btn-xs\"><a class=\"btns\" href=\"";
        // line 29
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("stats.proofofplay.view"), "html", null, true);
        echo "\"><i class=\"fa fa-th-list\" aria-hidden=\"true\"></i> ";
        echo __("Back to dashboard");
        echo "</a></li>
        <li class=\"btn btn-primary btn-xs\"><a class=\"btns\" href=\"";
        // line 30
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("reportschedule.view"), "html", null, true);
        echo "\"><i class=\"fa fa-th-list\" aria-hidden=\"true\"></i> ";
        echo __("Report Schedules");
        echo "</a></li>
    </ul>
";
    }

    // line 34
    public function block_pageContent($context, array $blocks = [])
    {
        // line 35
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 36
        echo __("Saved reports");
        echo "</div>
        <div class=\"widget-body\">
            <div class=\"XiboGrid\" id=\"";
        // line 38
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\" data-grid-name=\"savedreportView\">
                <div class=\"XiboFilter well\">
                    <div class=\"FilterDiv\" id=\"Filter\">
                        <form class=\"form-inline\">

                            <div class=\"form-group \">
                                <label class=\"control-label\" title=\"\" for=\"saveAs\" accesskey=\"\">";
        // line 44
        echo __("Name");
        echo "</label>
                                <div>
                                    <div class=\"input-group\">
                                        <input class=\"form-control\" name=\"saveAs\" type=\"text\" id=\"saveAs\" value=\"\">
                                        <span class=\"input-group-addon\">
                                            <input title=\"";
        // line 49
        echo __("Use Regex?");
        echo "\" type=\"checkbox\" id=\"useRegexForName\" name=\"useRegexForName\">
                                        </span>
                                    </div>
                                </div>
                            </div>

                            ";
        // line 55
        ob_start(function () { return ''; });
        echo __("Owner");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items owned by the selected User.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 57
        echo "                            ";
        $context["users"] = twig_array_merge([0 => ["userId" => null, "userName" => ""]], ($context["users"] ?? null));
        // line 58
        echo "                            ";
        echo $context["inline"]->getdropdown("userId", "single", ($context["title"] ?? null), null, ($context["users"] ?? null), "userId", "userName", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null));
        echo "

                            ";
        // line 60
        ob_start(function () { return ''; });
        echo __("Type");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 61
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("Show items belong to a report.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 62
        echo "                            ";
        $context["reports"] = twig_array_merge([0 => ["name" => null, "description" => ""]], ($context["availableReports"] ?? null));
        // line 63
        echo "                            ";
        echo $context["inline"]->getdropdown("reportName", "single", ($context["title"] ?? null), null, ($context["reports"] ?? null), "name", "description", ($context["helpText"] ?? null), "selectPicker", "", "", "", ($context["attributes"] ?? null));
        echo "

                            ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Only my reports?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                            ";
        echo $context["inline"]->getcheckbox("onlyMyReport", ($context["title"] ?? null), 1);
        echo "
                        </form>
                    </div>
                </div>
                <div class=\"XiboData\">
                    <table id=\"savedreports\" class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 74
        echo __("Report Schedule");
        echo "</th>
                            <th>";
        // line 75
        echo __("Saved as");
        echo "</th>
                            <th>";
        // line 76
        echo __("Report Type");
        echo "</th>
                            <th>";
        // line 77
        echo __("Generated on");
        echo "</th>
                            <th>";
        // line 78
        echo __("Owner");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    // line 92
    public function block_javaScript($context, array $blocks = [])
    {
        // line 93
        echo "    <script type=\"text/javascript\">
        var table;
        \$(document).ready(function() {

            let url_string = window.location.href;
            let url = new URL(url_string);
            let reportName = url.searchParams.get(\"reportName\");

            if (reportName !== undefined && reportName != null) {
                \$('#reportName').val(reportName).trigger('change');
            }

            table = \$(\"#savedreports\").DataTable({ \"language\": dataTablesLanguage,
                serverSide: true, stateSave: true, stateDuration: 0,
                stateLoadCallback: function (settings, callback) {
                    var data = {};
                    \$.ajax({
                        type: \"GET\",
                        async: false,
                        url: \"";
        // line 112
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "?preference=savedreportGrid\",
                        dataType: 'json',
                        success: function (json) {
                            try {
                                if (json.success) {
                                    data = JSON.parse(json.data.value);
                                }
                            } catch (e) {
                                // Do nothing
                            }
                        }
                    });
                    return data;
                },
                stateSaveCallback: function (settings, data) {
                    \$.ajax({
                        type: \"POST\",
                        url: \"";
        // line 129
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("user.pref"), "html", null, true);
        echo "\",
                        data: {
                            preference: [{
                                option: \"savedreportGrid\",
                                value: JSON.stringify(data)
                            }]
                        }
                    });
                },
                filter: false,
                searchDelay: 3000,
                \"order\": [[ 1, \"asc\"]],
                ajax: {
                    \"url\": \"";
        // line 142
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("savedreport.search"), "html", null, true);
        echo "\",
                    \"data\": function(d) {
                        \$.extend(d, \$(\"#savedreports\").closest(\".XiboGrid\").find(\".FilterDiv form\").serializeObject());
                    }
                },
                \"columns\": [
                    { \"data\": \"reportScheduleName\"},
                    { \"data\": \"saveAs\"},
                    { \"data\": \"reportName\", \"visible\": false},
                    {
                        \"data\": \"generatedOn\",
                        \"render\": dataTableDateFromUnix
                    },
                    { \"data\": \"owner\"},
                    {
                        \"orderable\": false,
                        \"data\": dataTableButtonsColumn
                    }
                ]
            });
            table.on('draw', dataTableDraw);
            table.on('processing.dt', dataTableProcessing);
            dataTableAddButtons(table, \$('#savedreports_wrapper').find('.col-sm-6').eq(1));
        })
    </script>
";
    }

    public function getTemplateName()
    {
        return "saved-report-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  247 => 142,  231 => 129,  211 => 112,  190 => 93,  187 => 92,  170 => 78,  166 => 77,  162 => 76,  158 => 75,  154 => 74,  142 => 66,  138 => 65,  132 => 63,  129 => 62,  124 => 61,  120 => 60,  114 => 58,  111 => 57,  106 => 56,  102 => 55,  93 => 49,  85 => 44,  76 => 38,  71 => 36,  68 => 35,  65 => 34,  56 => 30,  50 => 29,  47 => 28,  44 => 27,  39 => 24,  37 => 25,  31 => 24,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "saved-report-page.twig", "/home/mgatv524/public_html/edurocha/views/saved-report-page.twig");
    }
}
